Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005260opensim[REGION] OpenSim Corepublic2010-12-09 09:492011-06-03 14:15
ReporterDiva 
Assigned Tojustincc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005260: Appearance is borked in Viewer 2
DescriptionCreated an account. Logged in with viewer 2 ==> got myself as an egg. See picture attached.

Logged in again under that account with viewer 1.23, created the 4 basic body parts, worn them, logged out. Logged in again with viewer 2: still the same egg.
TagsNo tags attached.
Git Revision or version numberlatest
Run ModeStandalone (1 Region)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Filesjpg file icon Egg in Viewer 2.jpg [^] (47,404 bytes) 2010-12-09 09:49

- Relationships

-  Notes
(0017479)
Diva (administrator)
2010-12-09 10:23

Update: It looks like the beta viewer 2 fixes this problem -- at least the issue of never getting a body even if we wear one.

It doesn't fix the lack of body parts problem. That would be nice to fix.
(0017801)
justincc (administrator)
2011-01-07 16:27

I started working on this in the viewer-2-initial-appearance branch.
(0018548)
justincc (administrator)
2011-06-03 14:15

Closed as addressed now. Latest viewer 2 code will allow appearance to be set even if there are no initial body parts (disadv of creating body parts is you will briefly appear naked!).

Still intend to provide a better default avatar approach since the above is still not great.

- Issue History
Date Modified Username Field Change
2010-12-09 09:49 Diva New Issue
2010-12-09 09:49 Diva File Added: Egg in Viewer 2.jpg
2010-12-09 09:49 Diva Git Revision => latest
2010-12-09 09:49 Diva SVN Revision => 0
2010-12-09 09:49 Diva Run Mode => Standalone (1 Region)
2010-12-09 09:49 Diva Physics Engine => ODE
2010-12-09 09:49 Diva Environment => .NET / Windows64
2010-12-09 09:49 Diva Mono Version => None
2010-12-09 10:23 Diva Note Added: 0017479
2011-01-07 16:27 justincc Note Added: 0017801
2011-01-07 16:32 justincc Status new => assigned
2011-01-07 16:32 justincc Assigned To => justincc
2011-01-07 18:21 justincc Note Added: 0017802
2011-01-07 18:41 justincc Note Deleted: 0017802
2011-06-03 14:15 justincc Status assigned => closed
2011-06-03 14:15 justincc Note Added: 0018548
2011-06-03 14:15 justincc Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker